Foreman - Bug #31355

[Foreman 2.3] [zh_CN/ja_JP] Non-localized string present in sub menu links of Hosts page.

11/20/2020 11:50 AM - vijaykumar sawant

Status: Closed

Priority: Normal

Assignee:

Category: Internationalization

Target version:

Difficulty: Fixed in Releases:

Triaged: No Found in Releases: 2.3.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Description of problem: Non-localized strings present on different pages of Hosts menu.
Version-Release nhumber of selected component (if applicable): Version 2.3.0 RC-1
How reproducible: Always

#1-Steps to Reproduce:

1. Login to Foreman 2.3 instance with Japanese/Chinese language.

2. Navigate to Hosts - Job Templates page.

3. Click on Import button.

Actual results: String is not marked as translatable string.

Expected results: Strings should be localized correctly.

Additional info: Same thing can be seen at another sub menu link.

#2-Steps to Reproduce at Hosts - Policies

Navigate to Hosts - Policies, Click on New Policy, look for the message and radio button text.

#3-Steps to Reproduce at Hosts - SCAP Contents
Navigate to Hosts - SCAP Contents, look for the column name in the table.

#3-Steps to Reproduce at Hosts - Tailoring Files
Navigate to Hosts - Tailoring Files, click on New Tailoring Files.

Please see attached screenshots for all the issues.

Related issues:

Related to Katello - Bug #32477: The default bookmark names on Content Host p... New
Related to OpenSCAP - Bug #32478: The file upload button 'Choose File' and de... New
History

#1 - 11/20/2020 12:08 PM - vijaykumar sawant

- File TS2_Create-host-tab-operating-system.png added

- File TS4_Search-butoon-filter-options.png added

- File TS2_Non-localized-string-inside-association-tab.png added

- File TS2_Non-localized-tool-tip-text.png added

Additional info: Same thing can be seen at another sub menu link.
#2-Steps to Reproduce at Hosts - Policies
Navigate to Hosts - Policies, Click on New Policy, look for the message and radio button text.
#3-Steps to Reproduce at Hosts - SCAP Contents
Navigate to Hosts - SCAP Contents, look for the column name in the table.

#3-Steps to Reproduce at Hosts - Tailoring Files
Navigate to Hosts - Tailoring Files, click on New Tailoring Files.
#5 Steps to Reproduce at Hosts - All Hosts

Navigate to Hosts - All Hosts, click on Create Hosts, switch to tab Operating Systems.

#6 Steps to Reproduce at Hosts - Content Hosts
Navigate to Hosts - Content Hosts, click on drop-down button next to Search button, look for the options.

#7 Steps to Reproduce at Hosts - Provisioning Templates
7.1 Navigate to Hosts - Provisioning Templates, click on Create Template, switch to tab Association.
7.2 Navigate to Hosts - Provisioning Templates, hover over any item under "Kind" column under template.

Please see attached screenshots for all the issues.

#2 - 04/01/2021 01:48 PM - Amit Upadhye
vijaykumar sawant wrote:
Description of problem: Non-localized strings present on different pages of Hosts menu.
Version-Release number of selected component (if applicable): Version 2.3.0 RC-1
How reproducible: Always
#1-Steps to Reproduce:
1. Login to Foreman 2.3 instance with Japanese/Chinese language.
2. Navigate to Hosts - Job Templates page.
3. Click on Import button.
Actual results: String is not marked as translatable string.
Expected results: Strings should be localized correctly.
Additional info: Same thing can be seen at another sub menu link.
#2-Steps to Reproduce at Hosts - Policies

Navigate to Hosts - Policies, Click on New Policy, look for the message and radio button text.

#3-Steps to Reproduce at Hosts - SCAP Contents
Navigate to Hosts - SCAP Contents, look for the column name in the table.

#3-Steps to Reproduce at Hosts - Tailoring Files
Navigate to Hosts - Tailoring Files, click on New Tailoring Files.

Please see attached screenshots for all the issues.
TS2_New-Policy-strings-are-not-localized.png - Ansible, Puppet, Manual terms are specific tech words which cant be translated.

TS2_Create-host-tab-operating-system.png - Media selection has been marked as translatable in https:/projects.theforeman.org/issues/32237
TS4_Search-butoon-filter-options.png - | am checking if search bookmarks can be translated.

#3 - 04/30/2021 02:36 PM - Amit Upadhye
- Related to Bug #32477: The default bookmark names on Content Host page is untranslated added

#4 - 04/30/2021 02:52 PM - Amit Upadhye
- Related to Bug #32478: The file upload button 'Choose File' and default text ‘No file chosen' is untranslated added

#5 - 04/30/2021 03:01 PM - Amit Upadhye

- Status changed from New to Closed

vijaykumar sawant wrote:
Description of problem: Non-localized strings present on different pages of Hosts menu.

Version-Release number of selected component (if applicable): Version 2.3.0 RC-1
https://projects.theforeman.org/issues/5
https://projects.theforeman.org/issues/6
https://projects.theforeman.org/issues/7
https://projects.theforeman.org/issues/32237

How reproducible: Always

#1-Steps to Reproduce:

1. Login to Foreman 2.3 instance with Japanese/Chinese language.
2. Navigate to Hosts - Job Templates page.

3. Click on Import button.

Actual results: String is not marked as translatable string.
Expected results: Strings should be localized correctly.

Additional info: Same thing can be seen at another sub menu link.
#2-Steps to Reproduce at Hosts - Policies
Navigate to Hosts - Policies, Click on New Policy, look for the message and radio button text.

#3-Steps to Reproduce at Hosts - SCAP Contents
Navigate to Hosts - SCAP Contents, look for the column name in the table.

#3-Steps to Reproduce at Hosts - Tailoring Files
Navigate to Hosts - Tailoring Files, click on New Tailoring Files.

Please see attached screenshots for all the issues.

Closing this as | have separated issues,

The 'Media' string is already fixed

The default bookmark names on Content Host page is untranslated - https:/projects.theforeman.org/issues/32477

The file upload button 'Choose File' and default text 'No file chosen' is untranslated - https:/projects.theforeman.org/issues/32478
'How templates are translated' and Tooltip of provisioning templates - https:/projects.theforeman.org/issues/32468

Job Template's 'Import job template' string is untranslated -https://projects.theforeman.org/issues/32479

There are significant differences in deployment options. Please make sure you understand them by reading our -
https://projects.theforeman.org/issues/32469

Files

TS2_Import-job-template-pop-up-dailog-box-string.png 248 KB 11/20/2020 vijaykumar sawant
TS2_New-Policy-strings-are-not-localized.png 126 KB 11/20/2020 vijaykumar sawant
TS2_Non-localized-string-on-page.png 108 KB 11/20/2020 vijaykumar sawant
TS2_Create-host-tab-operating-system.png 230 KB 11/20/2020 vijaykumar sawant
TS4_Search-butoon-filter-options.png 182 KB 11/20/2020 vijaykumar sawant
TS2_Non-localized-string-inside-association-tab.png 194 KB 11/20/2020 vijaykumar sawant
TS2_Non-localized-tool-tip-text.png 262 KB 11/20/2020 vijaykumar sawant
